regina::PrismSpec Struct Reference
Normal Surfaces

Specifies a single triangular prism in a tetrahedron. More...

`#include <surfaces/prism.h>`

## Public Member Functions

| PrismSpec ()
| Creates a new uninitialised prism specifier. More...
| PrismSpec (size_t newTetIndex, int newEdge)
| Creates a new prism specifier containing the given values. More...
| PrismSpec (const PrismSpec &cloneMe)
| Creates a new prism specifier that is a clone of the given specifier. More...
PrismSpec & | operator= (const PrismSpec &cloneMe)
| Copies the values from the given prism specifier into this specifier. More...
bool | operator== (const PrismSpec &other) const
| Determines if this and the given prism specifier contain identical information. More...
bool | operator!= (const PrismSpec &other) const
| Determines if this and the given prism specifier contain different information. More...

## Public Attributes

size_t | tetIndex
| The index in the triangulation of the tetrahedron containing the prism. More...
int | edge
| The edge of the tetrahedron that is contained in this prism. More...

## Friends

std::ostream & | operator<< (std::ostream &out, const PrismSpec &spec)
| Writes the given prism specifier to the given output stream. More...

## Detailed Description

Specifies a single triangular prism in a tetrahedron.

If a tetrahedron contains normal quads, slicing along these quads splits the tetrahedron into two triangular prisms (and possibly some additional product regions). Each triangular prism contains two of the vertices and one of the edges of the original tetrahedron.

Precondition
  This class should only be used with embedded normal surfaces.

The documentation for this struct was generated from the following file:

- surfaces/prism.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).